Module java.base
Package java.util.stream

# Interface LongStream.LongMapMultiConsumer

Enclosing interface:
  `LongStream`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface LongStream.LongMapMultiConsumer
Represents an operation that accepts a `long`-valued argument and a LongConsumer, and returns no result. This functional interface is used by `LongStream.mapMulti` to replace a long value with zero or more long values.

This is a functional interface whose functional method is `accept(long, LongConsumer)`.

Since:
  16
See Also:
  - `LongStream.mapMulti(LongStream.LongMapMultiConsumer)`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(long value, LongConsumer lc)`
Replaces the given `value` with zero or more values by feeding the mapped values to the `lc` consumer.

## Method Details

### accept

void accept(long value, LongConsumer lc)
Replaces the given `value` with zero or more values by feeding the mapped values to the `lc` consumer.

Parameters:
  `value` - the long value coming from upstream
  `lc` - a `LongConsumer` accepting the mapped values